Google Web Toolkit
Search Google Code:

# Interface CompilationUnitProvider

public interface CompilationUnitProvider
Provides information about a single compilation unit on demand.

## Fields

LOCATION_COMPARATOR |

## Methods

getLastModified() |
getLocation() |
getPackageName() |
getSource() |
isTransient() |

## Field Detail

### LOCATION_COMPARATOR

public static final Comparator LOCATION_COMPARATOR

## Method Detail

### getLastModified

public long getLastModified()
throws UnableToCompleteException

### getLocation

public String getLocation()

### getPackageName

public String getPackageName()

### getSource

public char[] getSource()
throws UnableToCompleteException

### isTransient

public boolean isTransient()